--- chrome/common/transport_dib_linux.cc
+++ chrome/common/transport_dib_linux.cc
@@ -27,6 +27,7 @@ TransportDIB::TransportDIB()
 TransportDIB::~TransportDIB() {
   if (address_ != kInvalidAddress) {
     shmdt(address_);
+    shmctl(key_, IPC_RMID, 0);
     address_ = kInvalidAddress;
   }
 
@@ -52,7 +53,7 @@ TransportDIB* TransportDIB::Create(size_t size, uint32 sequence_num) {
   // Here we mark the shared memory for deletion. Since we attached it in the
   // line above, it doesn't actually get deleted but, if we crash, this means
   // that the kernel will automatically clean it up for us.
-  shmctl(shmkey, IPC_RMID, 0);
+  //shmctl(shmkey, IPC_RMID, 0);
   if (address == kInvalidAddress)
     return NULL;
 
diff --git chrome/plugin/plugin_main.cc chrome/plugin/plugin_main.cc
index 0b67360..a076428 100644
